ambari-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Vitaly Brodetskyi (JIRA)" <j...@apache.org>
Subject [jira] [Created] (AMBARI-11840) Ambari upgrade crashed due to unable to process WidgetLayoutEntries
Date Wed, 10 Jun 2015 15:46:04 GMT
Vitaly Brodetskyi created AMBARI-11840:
------------------------------------------

             Summary: Ambari upgrade crashed due to unable to process WidgetLayoutEntries
                 Key: AMBARI-11840
                 URL: https://issues.apache.org/jira/browse/AMBARI-11840
             Project: Ambari
          Issue Type: Bug
          Components: ambari-server
    Affects Versions: 2.1.0
            Reporter: Vitaly Brodetskyi
            Assignee: Vitaly Brodetskyi
            Priority: Blocker
             Fix For: 2.1.0


Ambari upgrade crashed with error:
{code}
Caused by: java.lang.IllegalArgumentException: Can not refresh not managed object: org.apache.ambari.server.orm.entities.WidgetLayoutEntity@1.
 at org.eclipse.persistence.internal.jpa.EntityManagerImpl.refresh(EntityManagerImpl.java:1024)
 at org.eclipse.persistence.internal.jpa.EntityManagerImpl.refresh(EntityManagerImpl.java:929)
 at org.apache.ambari.server.orm.dao.WidgetLayoutDAO.refresh(WidgetLayoutDAO.java:117)
 at org.apache.ambari.server.orm.AmbariJpaLocalTxnInterceptor.invoke(AmbariJpaLocalTxnInterceptor.java:68)
 at org.apache.ambari.server.controller.AmbariManagementControllerImpl.createWidgetsAndLayouts(AmbariManagementControllerImpl.java:4191)
 at org.apache.ambari.server.controller.AmbariManagementControllerImpl.initializeWidgetsAndLayouts(AmbariManagementControllerImpl.java:4067)
{code}

Caused by BUG-38949



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message